geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From u..@apache.org
Subject [054/100] [abbrv] incubator-geode git commit: GEODE-829: pulse gradle uses the dependency versions in the property file
Date Mon, 22 Feb 2016 21:43:42 GMT
GEODE-829: pulse gradle uses the dependency versions in the property file


Project: http://git-wip-us.apache.org/repos/asf/incubator-geode/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-geode/commit/01c0a2c5
Tree: http://git-wip-us.apache.org/repos/asf/incubator-geode/tree/01c0a2c5
Diff: http://git-wip-us.apache.org/repos/asf/incubator-geode/diff/01c0a2c5

Branch: refs/heads/feature/GEODE-870
Commit: 01c0a2c547b8c8f254b52ae024469c201ef789d5
Parents: 53b6319
Author: Jinmei Liao <jiliao@pivotal.io>
Authored: Fri Feb 19 12:47:11 2016 -0800
Committer: Jinmei Liao <jiliao@pivotal.io>
Committed: Fri Feb 19 13:16:32 2016 -0800

----------------------------------------------------------------------
 gemfire-pulse/build.gradle            | 68 +++++++++++-------------------
 gradle/dependency-versions.properties |  9 ++++
 2 files changed, 34 insertions(+), 43 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-geode/blob/01c0a2c5/gemfire-pulse/build.gradle
----------------------------------------------------------------------
diff --git a/gemfire-pulse/build.gradle b/gemfire-pulse/build.gradle
index c13efa2..4e8d982 100755
--- a/gemfire-pulse/build.gradle
+++ b/gemfire-pulse/build.gradle
@@ -14,18 +14,6 @@
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
-
-buildscript {
-  repositories {
-    maven {
-      url "https://plugins.gradle.org/m2/"
-    }
-  }
-  dependencies {
-    classpath "org.ajoberstar:gradle-git:1.3.2"
-  }
-}
-
 apply plugin: 'war'
 
 sourceSets {
@@ -38,41 +26,35 @@ sourceSets {
 }
 
 dependencies {
-  compile 'org.apache.commons:com.springsource.org.apache.commons.beanutils:1.8.0'
-  compile 'org.apache.commons:com.springsource.org.apache.commons.collections:3.2.0'
-  compile 'org.apache.commons:com.springsource.org.apache.commons.digester:1.8.1'
-  compile 'org.apache.commons:com.springsource.org.apache.commons.logging:1.1.1'
-  compile 'commons-lang:commons-lang:2.6'
-  compile 'org.springframework.ldap:spring-ldap-core:1.3.2.RELEASE'
-  compile 'org.springframework.security:spring-security-config:3.1.7.RELEASE'
-  compile 'org.springframework.security:spring-security-core:3.1.7.RELEASE'
-  compile 'org.springframework.security:spring-security-ldap:3.1.7.RELEASE'
-  compile 'org.springframework.security:spring-security-web:3.1.7.RELEASE'
-  compile 'org.springframework:spring-tx:3.2.12.RELEASE'
-
-  providedCompile 'commons-logging:commons-logging:1.1.3'
-  providedCompile 'commons-codec:commons-codec:1.6'
-  providedCompile 'org.apache.httpcomponents:fluent-hc:4.3.3'
-  providedCompile 'org.apache.httpcomponents:httpclient:4.3.3'
-  providedCompile 'org.apache.httpcomponents:httpclient-cache:4.3.3'
-  providedCompile 'org.apache.httpcomponents:httpcore:4.3.2'
-  providedCompile 'org.apache.httpcomponents:httpmime:4.3.3'
-
-  provided 'org.mortbay.jetty:servlet-api:2.5-20081211'
-  provided 'com.google.guava:guava:15.0'
+  compile 'commons-beanutils:commons-beanutils:'+project.'commons-beanutils.version'
+  compile 'commons-collections:commons-collections:'+project.'commons-collections.version'
+  compile 'commons-digester:commons-digester:'+project.'commons-digester.version'
+  compile 'commons-lang:commons-lang:'+project.'commons-lang.version'
+  compile 'org.springframework.ldap:spring-ldap-core:'+project.'spring-ldap-core.version'
+  compile 'org.springframework.security:spring-security-config:'+project.'spring-security.version'
+  compile 'org.springframework.security:spring-security-core:'+project.'spring-security.version'
+  compile 'org.springframework.security:spring-security-ldap:'+project.'spring-security.version'
+  compile 'org.springframework.security:spring-security-web:'+project.'spring-security.version'
+  compile 'org.springframework:spring-tx:'+project.'spring-tx.version'
+
+  providedCompile 'commons-logging:commons-logging:'+project.'commons-logging.version'
+
+  provided 'org.mortbay.jetty:servlet-api:'+project.'mortbay-jetty-servlet-api.version'
+  provided 'com.google.guava:guava:'+project.'guava.version'
 
   testCompile project(':gemfire-junit')
 
-  testCompile 'org.apache.tomcat.embed:tomcat-embed-core:7.0.30'
-  testCompile 'org.apache.tomcat.embed:tomcat-embed-jasper:7.0.30'
-  testCompile 'org.apache.tomcat.embed:tomcat-embed-logging-juli:7.0.30'
-  testCompile 'org.seleniumhq.selenium:selenium-firefox-driver:2.52.0'
-  testCompile 'org.seleniumhq.selenium:selenium-api:2.52.0'
-  testCompile 'org.seleniumhq.selenium:selenium-remote-driver:2.52.0'
-  testCompile 'org.seleniumhq.selenium:selenium-support:2.52.0'
+  testCompile 'org.apache.tomcat.embed:tomcat-embed-core:'+project.'tomcat7.version'
+  testCompile 'org.apache.tomcat.embed:tomcat-embed-jasper:'+project.'tomcat7.version'
+  testCompile 'org.apache.tomcat.embed:tomcat-embed-logging-juli:'+project.'tomcat7.version'
+  testCompile 'org.seleniumhq.selenium:selenium-firefox-driver:'+project.'selenium.version'
+  testCompile 'org.seleniumhq.selenium:selenium-api:'+project.'selenium.version'
+  testCompile 'org.seleniumhq.selenium:selenium-remote-driver:'+project.'selenium.version'
+  testCompile 'org.seleniumhq.selenium:selenium-support:'+project.'selenium.version'
+
+  testRuntime 'com.google.code.gson:gson:'+project.'google-gson.version'
+  testRuntime 'org.apache.commons:commons-exec:'+project.'commons-exec.version'
 
-  testRuntime 'com.google.code.gson:gson:2.3.1'
-  testRuntime 'org.apache.commons:commons-exec:1.3'
 }
 
 def generatedResources = "$buildDir/generated-resources/main"

http://git-wip-us.apache.org/repos/asf/incubator-geode/blob/01c0a2c5/gradle/dependency-versions.properties
----------------------------------------------------------------------
diff --git a/gradle/dependency-versions.properties b/gradle/dependency-versions.properties
index 6aa7023..611ee7a 100644
--- a/gradle/dependency-versions.properties
+++ b/gradle/dependency-versions.properties
@@ -33,6 +33,9 @@ commons-io.version = 2.3
 commons-lang.version = 2.5
 commons-logging.version = 1.1.1
 commons-modeler.version = 2.0
+commons-beanutils.version = 1.8.0
+commons-digester.version=2.1
+commons-exec.version=1.3
 derby.version = 10.2.2.0
 dom4j.version = 1.6.1
 fastutil.version = 7.0.2
@@ -83,6 +86,9 @@ spring-data-commons.version = 1.9.1.RELEASE
 spring-data-gemfire.version = 1.7.2.RELEASE
 spring-hateos.version = 0.16.0.RELEASE
 spring-shell.version = 1.1.0.RELEASE
+spring-ldap-core.version = 1.3.2.RELEASE
+spring-security.version = 3.1.7.RELEASE
+spring-tx.version = 3.2.12.RELEASE
 springframework.version = 4.2.4.RELEASE
 stephenc-findbugs.version = 1.3.9-1
 spymemcached.version = 2.9.0
@@ -92,3 +98,6 @@ system-rules.version = 1.15.0
 tempus-fugit.version = 1.1
 tomcat6.version = 6.0.37
 tomcat7.version = 7.0.30
+mortbay-jetty-servlet-api.version=2.5-20081211
+selenium.version=2.52.0
+google-gson.version=2.3.1
\ No newline at end of file


Mime
View raw message